SFML 3.1.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Text::ShapedGlyph Struct Reference

Structure describing a glyph after shaping. More...

`#include <SFML/Graphics/Text.hpp>`

## Public Attributes
Glyph | glyph
Vector2f | position
| Position of the glyph within a text.
std::uint32_t | cluster {}
| Cluster ID.
TextDirection | textDirection {}
| Text direction.
float | baseline {}
| The baseline position of the line this glyph is a part of.
std::size_t | vertexOffset {}
| Starting offset of the vertex data belonging to this glyph.
std::size_t | vertexCount {}
| Count of vertices belonging to this glyph.

## Detailed Description

Structure describing a glyph after shaping.

Definition at line 127 of file Text.hpp.

## Member Data Documentation

## ◆ baseline

float sf::Text::ShapedGlyph::baseline {}

The baseline position of the line this glyph is a part of.

Definition at line 134 of file Text.hpp.

## ◆ cluster

std::uint32_t sf::Text::ShapedGlyph::cluster {}

Cluster ID.

Definition at line 132 of file Text.hpp.

## ◆ glyph

Glyph sf::Text::ShapedGlyph::glyph

Definition at line 129 of file Text.hpp.

## ◆ position

Vector2f sf::Text::ShapedGlyph::position

Position of the glyph within a text.

Definition at line 131 of file Text.hpp.

## ◆ textDirection

TextDirection sf::Text::ShapedGlyph::textDirection {}

Text direction.

Definition at line 133 of file Text.hpp.

## ◆ vertexCount

std::size_t sf::Text::ShapedGlyph::vertexCount {}

Count of vertices belonging to this glyph.

Definition at line 136 of file Text.hpp.

## ◆ vertexOffset

std::size_t sf::Text::ShapedGlyph::vertexOffset {}

Starting offset of the vertex data belonging to this glyph.

Definition at line 135 of file Text.hpp.

The documentation for this struct was generated from the following file:

- Text.hpp